"""
Null Gripper (if we don't want to attach gripper to robot eef).
"""
from robust_gymnasium.envs.robosuite.models.grippers.gripper_model import GripperModel
from robust_gymnasium.envs.robosuite.utils.mjcf_utils import xml_path_completion


class NullGripper(GripperModel):
    """
    Dummy Gripper class to represent no gripper

    Args:
        idn (int or str): Number or some other unique identification string for this gripper instance
    """

    def __init__(self, idn=0):
        super().__init__(xml_path_completion("grippers/null_gripper.xml"), idn=idn)

    def format_action(self, action):
        return action

    @property
    def init_qpos(self):
        return None
